OpenTTD Source: PalSpriteID Struct Reference

OpenTTD Source 15.0-beta1

Data Fields
PalSpriteID Struct Reference

Combination of a palette sprite and a 'real' sprite. More...

`#include <gfx_type.h>`

Inheritance diagram for PalSpriteID:

## Data Fields
SpriteID | sprite
| The 'real' sprite.
PaletteID | pal
| The palette (use `PAL_NONE`) if not needed)

## Detailed Description

Combination of a palette sprite and a 'real' sprite.

Definition at line 23 of file gfx_type.h.

## Field Documentation

## ◆ pal

PaletteID PalSpriteID::pal

The palette (use `PAL_NONE`) if not needed)

Definition at line 25 of file gfx_type.h.

Referenced by BridgeChangeInfo(), VehicleSpriteSeq::CopyWithoutPalette(), DoDrawVehicle(), VehicleSpriteSeq::Draw(), DrawBridgeMiddle(), DrawCommonTileSeq(), DrawCommonTileSeqInGUI(), DrawHouseInGUI(), DrawNewHouseTileInGUI(), DrawNewObjectTileInGUI(), DrawPillar(), DrawRoadStopTile(), DrawStationTile(), DrawTile_Town(), DrawTile_TunnelBridge(), DrawTileLayout(), MapSpriteMappingRecolour(), NewGRFSpriteLayout::PrepareLayout(), NewGRFSpriteLayout::ProcessRegisters(), ReadSpriteLayoutSprite(), VehicleSpriteSeq::Set(), and SetMouseCursorVehicle().

## ◆ sprite

SpriteID PalSpriteID::sprite

The 'real' sprite.

Definition at line 24 of file gfx_type.h.

Referenced by BridgeChangeInfo(), VehicleSpriteSeq::CopyWithoutPalette(), DisasterTick_Helicopter_Rotors(), DoDrawVehicle(), DrawBridgeMiddle(), DrawBridgePillars(), DrawCommonTileSeq(), DrawCommonTileSeqInGUI(), DrawHouseInGUI(), DrawNewHouseTileInGUI(), DrawNewObjectTileInGUI(), DrawPillar(), DrawRoadDepotSprite(), DrawRoadStopTile(), DrawStationTile(), DrawTile_Road(), DrawTile_Town(), DrawTile_TunnelBridge(), DrawTileLayout(), DrawWaterLock(), DrawWaterTileStruct(), IncrementSprite(), MapSpriteMappingRecolour(), NewGRFSpriteLayout::PrepareLayout(), NewGRFSpriteLayout::ProcessRegisters(), ReadSpriteLayoutSprite(), VehicleSpriteSeq::Set(), and SetMouseCursorVehicle().

The documentation for this struct was generated from the following file:

- src/gfx_type.h